<?php

namespace Teknisa\MAN\Utilities;

use Utilities\Utilities;

class NfceConfigReader{

    public function readConfig($fileName, $filePath){
        try{
            
            $configPath = $filePath.DIRECTORY_SEPARATOR."config";
            $filePath = $configPath.DIRECTORY_SEPARATOR.$fileName.".json";
            
            Utilities::createFolder($configPath);
            
            $file = self::openFile($filePath);

            if($file){
                $file = json_decode($file, true);
            }
            return $file;
        }catch(Exception $e){
            var_dump($e->getMessage());
        }        
    }

    public static function openFile($pathFile = ''){
        //The choosen file was not found or cannot be read.
        if (! is_file($pathFile) || ! is_readable($pathFile)) {
            return null;  
        }

        //Read the file
        return file_get_contents($pathFile);
    }
}